Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » UML2 » UML2 installation question
UML2 installation question [message #470066] Mon, 05 February 2007 20:29 Go to next message
Eclipse UserFriend
Originally posted by: swt.stanford.edu

Hi,

Forgive me if this is a newbie question that has been answered elsewhere.

I am trying to import an Enterprise Architect XMI file into Eclipse UML2
format. I've installed

Eclipse 3.2.1
EMF 2.2.0v200604200629
UML2 2.1.0v200701040816

According to
http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html,

I should be able to create a UML model through File>New>Others...
"Example EMF Model Creation Wizards> UML Model. HOwever, I don't see
"UML Model" as a choice under "Example EMF Model Creation Wizards"

In the File/New/Project wizard, I select EMF project, but I don't see
the UML importer, as michael.giroux@bull.com was able to do in a
separate thread (Creating EMF project from xmi file).

I'd appreciate any help. Thanks.

Samson Tu
Re: UML2 installation question [message #470072 is a reply to message #470066] Mon, 05 February 2007 21:10 Go to previous messageGo to next message
james bruck is currently offline james bruckFriend
Messages: 1724
Registered: July 2009
Senior Member
Hi Samson,

Your configuration seems to be a bit off. UML2 2.1 requires EMF 2.3 and
Eclipse 3.3. Have a look at the build dependencies here ...
http://www.eclipse.org/modeling/mdt/downloads/index.php?proj ect=uml2&showAll=0&showMax=5

I think what you are looking for is ..

1. File>New>Other...>Eclipse Modeling Framework>EMF Model>Next..> then
from the list of model importers select "UML model".
Then select "Browse File System".

The extension types supported are *.uml, *.uml2, *.xmi.



Regards,

- James.


"Samson Tu" <swt@stanford.edu> wrote in message
news:eq842p$jji$1@utils.eclipse.org...
> Hi,
>
> Forgive me if this is a newbie question that has been answered elsewhere.
>
> I am trying to import an Enterprise Architect XMI file into Eclipse UML2
> format. I've installed
>
> Eclipse 3.2.1
> EMF 2.2.0v200604200629
> UML2 2.1.0v200701040816
>
> According to
>
http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html,
>
> I should be able to create a UML model through File>New>Others...
> "Example EMF Model Creation Wizards> UML Model. HOwever, I don't see
> "UML Model" as a choice under "Example EMF Model Creation Wizards"
>
> In the File/New/Project wizard, I select EMF project, but I don't see
> the UML importer, as michael.giroux@bull.com was able to do in a
> separate thread (Creating EMF project from xmi file).
>
> I'd appreciate any help. Thanks.
>
> Samson Tu
Import from Enterprise Architect (was Re: UML2 installation question) [message #470085 is a reply to message #470072] Mon, 05 February 2007 23:13 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: swt.stanford.edu

Many thanks for the quick response. Yes, after installing the right
versions, I was able to access the UML2 plugin features.

However, importing an Enterprise Architect UML XMI file resulted in a
"String index out of range: -1" error. Does anyone know whether
Enterprise Architect UML 2.1/XMI 2.1 export (or any other EA export
versions) can be read into Eclipse UML2 plugin?

Thanks.

Samson

James Bruck wrote:
> Hi Samson,
>
> Your configuration seems to be a bit off. UML2 2.1 requires EMF 2.3 and
> Eclipse 3.3. Have a look at the build dependencies here ...
> http://www.eclipse.org/modeling/mdt/downloads/index.php?proj ect=uml2&showAll=0&showMax=5
>
> I think what you are looking for is ..
>
> 1. File>New>Other...>Eclipse Modeling Framework>EMF Model>Next..> then
> from the list of model importers select "UML model".
> Then select "Browse File System".
>
> The extension types supported are *.uml, *.uml2, *.xmi.
>
>
>
> Regards,
>
> - James.
>
>
> "Samson Tu" <swt@stanford.edu> wrote in message
> news:eq842p$jji$1@utils.eclipse.org...
>> Hi,
>>
>> Forgive me if this is a newbie question that has been answered elsewhere.
>>
>> I am trying to import an Enterprise Architect XMI file into Eclipse UML2
>> format. I've installed
>>
>> Eclipse 3.2.1
>> EMF 2.2.0v200604200629
>> UML2 2.1.0v200701040816
>>
>> According to
>>
> http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html,
>> I should be able to create a UML model through File>New>Others...
>> "Example EMF Model Creation Wizards> UML Model. HOwever, I don't see
>> "UML Model" as a choice under "Example EMF Model Creation Wizards"
>>
>> In the File/New/Project wizard, I select EMF project, but I don't see
>> the UML importer, as michael.giroux@bull.com was able to do in a
>> separate thread (Creating EMF project from xmi file).
>>
>> I'd appreciate any help. Thanks.
>>
>> Samson Tu
>
>
Re: Import from Enterprise Architect (was Re: UML2 installation question) [message #470100 is a reply to message #470085] Tue, 06 February 2007 15:39 Go to previous messageGo to next message
james bruck is currently offline james bruckFriend
Messages: 1724
Registered: July 2009
Senior Member
Hi Samson,

Please raise a defect and that will be taken care of soon.

Regards,
- James.

"Samson Tu" <swt@stanford.edu> wrote in message
news:eq8dmi$91u$1@utils.eclipse.org...
>
> Many thanks for the quick response. Yes, after installing the right
> versions, I was able to access the UML2 plugin features.
>
> However, importing an Enterprise Architect UML XMI file resulted in a
> "String index out of range: -1" error. Does anyone know whether
> Enterprise Architect UML 2.1/XMI 2.1 export (or any other EA export
> versions) can be read into Eclipse UML2 plugin?
>
> Thanks.
>
> Samson
>
> James Bruck wrote:
> > Hi Samson,
> >
> > Your configuration seems to be a bit off. UML2 2.1 requires EMF 2.3
and
> > Eclipse 3.3. Have a look at the build dependencies here ...
> >
http://www.eclipse.org/modeling/mdt/downloads/index.php?proj ect=uml2&showAll=0&showMax=5
> >
> > I think what you are looking for is ..
> >
> > 1. File>New>Other...>Eclipse Modeling Framework>EMF Model>Next..> then
> > from the list of model importers select "UML model".
> > Then select "Browse File System".
> >
> > The extension types supported are *.uml, *.uml2, *.xmi.
> >
> >
> >
> > Regards,
> >
> > - James.
> >
> >
> > "Samson Tu" <swt@stanford.edu> wrote in message
> > news:eq842p$jji$1@utils.eclipse.org...
> >> Hi,
> >>
> >> Forgive me if this is a newbie question that has been answered
elsewhere.
> >>
> >> I am trying to import an Enterprise Architect XMI file into Eclipse
UML2
> >> format. I've installed
> >>
> >> Eclipse 3.2.1
> >> EMF 2.2.0v200604200629
> >> UML2 2.1.0v200701040816
> >>
> >> According to
> >>
> >
http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html,
> >> I should be able to create a UML model through File>New>Others...
> >> "Example EMF Model Creation Wizards> UML Model. HOwever, I don't see
> >> "UML Model" as a choice under "Example EMF Model Creation Wizards"
> >>
> >> In the File/New/Project wizard, I select EMF project, but I don't see
> >> the UML importer, as michael.giroux@bull.com was able to do in a
> >> separate thread (Creating EMF project from xmi file).
> >>
> >> I'd appreciate any help. Thanks.
> >>
> >> Samson Tu
> >
> >
Re: Import from Enterprise Architect (was Re: UML2 installation question) [message #470103 is a reply to message #470100] Tue, 06 February 2007 18:29 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: swt.stanford.edu

Thanks, I've added an entry to the Eclipse Buszilla (Bug 173137). A
sample file for testing is available at
http://www.stanford.edu/~swt/EASample.xmi

Samson


James Bruck wrote:
> Hi Samson,
>
> Please raise a defect and that will be taken care of soon.
>
> Regards,
> - James.
>
> "Samson Tu" <swt@stanford.edu> wrote in message
> news:eq8dmi$91u$1@utils.eclipse.org...
>> Many thanks for the quick response. Yes, after installing the right
>> versions, I was able to access the UML2 plugin features.
>>
>> However, importing an Enterprise Architect UML XMI file resulted in a
>> "String index out of range: -1" error. Does anyone know whether
>> Enterprise Architect UML 2.1/XMI 2.1 export (or any other EA export
>> versions) can be read into Eclipse UML2 plugin?
>>
>> Thanks.
>>
>> Samson
>>
>> James Bruck wrote:
>>> Hi Samson,
>>>
>>> Your configuration seems to be a bit off. UML2 2.1 requires EMF 2.3
> and
>>> Eclipse 3.3. Have a look at the build dependencies here ...
>>>
> http://www.eclipse.org/modeling/mdt/downloads/index.php?proj ect=uml2&showAll=0&showMax=5
>>> I think what you are looking for is ..
>>>
>>> 1. File>New>Other...>Eclipse Modeling Framework>EMF Model>Next..> then
>>> from the list of model importers select "UML model".
>>> Then select "Browse File System".
>>>
>>> The extension types supported are *.uml, *.uml2, *.xmi.
>>>
>>>
>>>
>>> Regards,
>>>
>>> - James.
>>>
>>>
>>> "Samson Tu" <swt@stanford.edu> wrote in message
>>> news:eq842p$jji$1@utils.eclipse.org...
>>>> Hi,
>>>>
>>>> Forgive me if this is a newbie question that has been answered
> elsewhere.
>>>> I am trying to import an Enterprise Architect XMI file into Eclipse
> UML2
>>>> format. I've installed
>>>>
>>>> Eclipse 3.2.1
>>>> EMF 2.2.0v200604200629
>>>> UML2 2.1.0v200701040816
>>>>
>>>> According to
>>>>
> http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html,
>>>> I should be able to create a UML model through File>New>Others...
>>>> "Example EMF Model Creation Wizards> UML Model. HOwever, I don't see
>>>> "UML Model" as a choice under "Example EMF Model Creation Wizards"
>>>>
>>>> In the File/New/Project wizard, I select EMF project, but I don't see
>>>> the UML importer, as michael.giroux@bull.com was able to do in a
>>>> separate thread (Creating EMF project from xmi file).
>>>>
>>>> I'd appreciate any help. Thanks.
>>>>
>>>> Samson Tu
>>>
>
>
Re: Import from Enterprise Architect (was Re: UML2 installation question) [message #470105 is a reply to message #470103] Tue, 06 February 2007 21:34 Go to previous message
Kenn Hussey is currently offline Kenn HusseyFriend
Messages: 1620
Registered: July 2009
Senior Member
Samson,

I took a look at your sample file, and I see several problems with it,
including the following:

1. There are a number of package import references to the UML metamodel
whose URIs do not specify a fragment, i.e. they look like
http://schema.omg.org/spec/UML/2.1/uml.xml when something like
http://schema.omg.org/spec/UML/2.1/uml.xml#_0 was expected. We can probably
address this in response to the bug report.

2. There are a number of references to metaclasses in the standard metamodel
whose URIs use the wrong case, e.g. they look like
http://schema.omg.org/spec/UML/2.1/uml.xml#association when
http://schema.omg.org/spec/UML/2.1/uml.xml#Association was expected. The
exporter you used should produce URIs in the expected format. Note that I
also noticed references to "associationEnd" and "attribute" metaclasses - no
such metaclasses exists in UML 2.x.

3. There are a number of XMI extension elements which in turn contain UML
elements with attributes that don't exist in UML - these can't be handled by
the parser unless they are also embedded in extension elements.

Kenn

"Samson Tu" <swt@stanford.edu> wrote in message
news:eqahf3$1j7$1@utils.eclipse.org...
>
> Thanks, I've added an entry to the Eclipse Buszilla (Bug 173137). A sample
> file for testing is available at http://www.stanford.edu/~swt/EASample.xmi
>
> Samson
>
>
> James Bruck wrote:
>> Hi Samson,
>>
>> Please raise a defect and that will be taken care of soon.
>>
>> Regards,
>> - James.
>>
>> "Samson Tu" <swt@stanford.edu> wrote in message
>> news:eq8dmi$91u$1@utils.eclipse.org...
>>> Many thanks for the quick response. Yes, after installing the right
>>> versions, I was able to access the UML2 plugin features.
>>>
>>> However, importing an Enterprise Architect UML XMI file resulted in a
>>> "String index out of range: -1" error. Does anyone know whether
>>> Enterprise Architect UML 2.1/XMI 2.1 export (or any other EA export
>>> versions) can be read into Eclipse UML2 plugin?
>>>
>>> Thanks.
>>>
>>> Samson
>>>
>>> James Bruck wrote:
>>>> Hi Samson,
>>>>
>>>> Your configuration seems to be a bit off. UML2 2.1 requires EMF 2.3
>> and
>>>> Eclipse 3.3. Have a look at the build dependencies here ...
>>>>
>> http://www.eclipse.org/modeling/mdt/downloads/index.php?proj ect=uml2&showAll=0&showMax=5
>>>> I think what you are looking for is ..
>>>>
>>>> 1. File>New>Other...>Eclipse Modeling Framework>EMF Model>Next..>
>>>> then
>>>> from the list of model importers select "UML model".
>>>> Then select "Browse File System".
>>>>
>>>> The extension types supported are *.uml, *.uml2, *.xmi.
>>>>
>>>>
>>>>
>>>> Regards,
>>>>
>>>> - James.
>>>>
>>>>
>>>> "Samson Tu" <swt@stanford.edu> wrote in message
>>>> news:eq842p$jji$1@utils.eclipse.org...
>>>>> Hi,
>>>>>
>>>>> Forgive me if this is a newbie question that has been answered
>> elsewhere.
>>>>> I am trying to import an Enterprise Architect XMI file into Eclipse
>> UML2
>>>>> format. I've installed
>>>>>
>>>>> Eclipse 3.2.1
>>>>> EMF 2.2.0v200604200629
>>>>> UML2 2.1.0v200701040816
>>>>>
>>>>> According to
>>>>>
>> http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html,
>>>>> I should be able to create a UML model through File>New>Others...
>>>>> "Example EMF Model Creation Wizards> UML Model. HOwever, I don't see
>>>>> "UML Model" as a choice under "Example EMF Model Creation Wizards"
>>>>>
>>>>> In the File/New/Project wizard, I select EMF project, but I don't see
>>>>> the UML importer, as michael.giroux@bull.com was able to do in a
>>>>> separate thread (Creating EMF project from xmi file).
>>>>>
>>>>> I'd appreciate any help. Thanks.
>>>>>
>>>>> Samson Tu
>>>>
>>
Re: UML2 installation question [message #582145 is a reply to message #470066] Mon, 05 February 2007 21:10 Go to previous message
james bruck is currently offline james bruckFriend
Messages: 1724
Registered: July 2009
Senior Member
Hi Samson,

Your configuration seems to be a bit off. UML2 2.1 requires EMF 2.3 and
Eclipse 3.3. Have a look at the build dependencies here ...
http://www.eclipse.org/modeling/mdt/downloads/index.php?proj ect=uml2&showAll=0&showMax=5

I think what you are looking for is ..

1. File>New>Other...>Eclipse Modeling Framework>EMF Model>Next..> then
from the list of model importers select "UML model".
Then select "Browse File System".

The extension types supported are *.uml, *.uml2, *.xmi.



Regards,

- James.


"Samson Tu" <swt@stanford.edu> wrote in message
news:eq842p$jji$1@utils.eclipse.org...
> Hi,
>
> Forgive me if this is a newbie question that has been answered elsewhere.
>
> I am trying to import an Enterprise Architect XMI file into Eclipse UML2
> format. I've installed
>
> Eclipse 3.2.1
> EMF 2.2.0v200604200629
> UML2 2.1.0v200701040816
>
> According to
>
http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html,
>
> I should be able to create a UML model through File>New>Others...
> "Example EMF Model Creation Wizards> UML Model. HOwever, I don't see
> "UML Model" as a choice under "Example EMF Model Creation Wizards"
>
> In the File/New/Project wizard, I select EMF project, but I don't see
> the UML importer, as michael.giroux@bull.com was able to do in a
> separate thread (Creating EMF project from xmi file).
>
> I'd appreciate any help. Thanks.
>
> Samson Tu
Import from Enterprise Architect (was Re: UML2 installation question) [message #582206 is a reply to message #470072] Mon, 05 February 2007 23:13 Go to previous message
Eclipse UserFriend
Originally posted by: swt.stanford.edu

Many thanks for the quick response. Yes, after installing the right
versions, I was able to access the UML2 plugin features.

However, importing an Enterprise Architect UML XMI file resulted in a
"String index out of range: -1" error. Does anyone know whether
Enterprise Architect UML 2.1/XMI 2.1 export (or any other EA export
versions) can be read into Eclipse UML2 plugin?

Thanks.

Samson

James Bruck wrote:
> Hi Samson,
>
> Your configuration seems to be a bit off. UML2 2.1 requires EMF 2.3 and
> Eclipse 3.3. Have a look at the build dependencies here ...
> http://www.eclipse.org/modeling/mdt/downloads/index.php?proj ect=uml2&showAll=0&showMax=5
>
> I think what you are looking for is ..
>
> 1. File>New>Other...>Eclipse Modeling Framework>EMF Model>Next..> then
> from the list of model importers select "UML model".
> Then select "Browse File System".
>
> The extension types supported are *.uml, *.uml2, *.xmi.
>
>
>
> Regards,
>
> - James.
>
>
> "Samson Tu" <swt@stanford.edu> wrote in message
> news:eq842p$jji$1@utils.eclipse.org...
>> Hi,
>>
>> Forgive me if this is a newbie question that has been answered elsewhere.
>>
>> I am trying to import an Enterprise Architect XMI file into Eclipse UML2
>> format. I've installed
>>
>> Eclipse 3.2.1
>> EMF 2.2.0v200604200629
>> UML2 2.1.0v200701040816
>>
>> According to
>>
> http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html,
>> I should be able to create a UML model through File>New>Others...
>> "Example EMF Model Creation Wizards> UML Model. HOwever, I don't see
>> "UML Model" as a choice under "Example EMF Model Creation Wizards"
>>
>> In the File/New/Project wizard, I select EMF project, but I don't see
>> the UML importer, as michael.giroux@bull.com was able to do in a
>> separate thread (Creating EMF project from xmi file).
>>
>> I'd appreciate any help. Thanks.
>>
>> Samson Tu
>
>
Re: Import from Enterprise Architect (was Re: UML2 installation question) [message #582311 is a reply to message #470085] Tue, 06 February 2007 15:39 Go to previous message
james bruck is currently offline james bruckFriend
Messages: 1724
Registered: July 2009
Senior Member
Hi Samson,

Please raise a defect and that will be taken care of soon.

Regards,
- James.

"Samson Tu" <swt@stanford.edu> wrote in message
news:eq8dmi$91u$1@utils.eclipse.org...
>
> Many thanks for the quick response. Yes, after installing the right
> versions, I was able to access the UML2 plugin features.
>
> However, importing an Enterprise Architect UML XMI file resulted in a
> "String index out of range: -1" error. Does anyone know whether
> Enterprise Architect UML 2.1/XMI 2.1 export (or any other EA export
> versions) can be read into Eclipse UML2 plugin?
>
> Thanks.
>
> Samson
>
> James Bruck wrote:
> > Hi Samson,
> >
> > Your configuration seems to be a bit off. UML2 2.1 requires EMF 2.3
and
> > Eclipse 3.3. Have a look at the build dependencies here ...
> >
http://www.eclipse.org/modeling/mdt/downloads/index.php?proj ect=uml2&showAll=0&showMax=5
> >
> > I think what you are looking for is ..
> >
> > 1. File>New>Other...>Eclipse Modeling Framework>EMF Model>Next..> then
> > from the list of model importers select "UML model".
> > Then select "Browse File System".
> >
> > The extension types supported are *.uml, *.uml2, *.xmi.
> >
> >
> >
> > Regards,
> >
> > - James.
> >
> >
> > "Samson Tu" <swt@stanford.edu> wrote in message
> > news:eq842p$jji$1@utils.eclipse.org...
> >> Hi,
> >>
> >> Forgive me if this is a newbie question that has been answered
elsewhere.
> >>
> >> I am trying to import an Enterprise Architect XMI file into Eclipse
UML2
> >> format. I've installed
> >>
> >> Eclipse 3.2.1
> >> EMF 2.2.0v200604200629
> >> UML2 2.1.0v200701040816
> >>
> >> According to
> >>
> >
http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html,
> >> I should be able to create a UML model through File>New>Others...
> >> "Example EMF Model Creation Wizards> UML Model. HOwever, I don't see
> >> "UML Model" as a choice under "Example EMF Model Creation Wizards"
> >>
> >> In the File/New/Project wizard, I select EMF project, but I don't see
> >> the UML importer, as michael.giroux@bull.com was able to do in a
> >> separate thread (Creating EMF project from xmi file).
> >>
> >> I'd appreciate any help. Thanks.
> >>
> >> Samson Tu
> >
> >
Re: Import from Enterprise Architect (was Re: UML2 installation question) [message #582326 is a reply to message #470100] Tue, 06 February 2007 18:29 Go to previous message
Eclipse UserFriend
Originally posted by: swt.stanford.edu

Thanks, I've added an entry to the Eclipse Buszilla (Bug 173137). A
sample file for testing is available at
http://www.stanford.edu/~swt/EASample.xmi

Samson


James Bruck wrote:
> Hi Samson,
>
> Please raise a defect and that will be taken care of soon.
>
> Regards,
> - James.
>
> "Samson Tu" <swt@stanford.edu> wrote in message
> news:eq8dmi$91u$1@utils.eclipse.org...
>> Many thanks for the quick response. Yes, after installing the right
>> versions, I was able to access the UML2 plugin features.
>>
>> However, importing an Enterprise Architect UML XMI file resulted in a
>> "String index out of range: -1" error. Does anyone know whether
>> Enterprise Architect UML 2.1/XMI 2.1 export (or any other EA export
>> versions) can be read into Eclipse UML2 plugin?
>>
>> Thanks.
>>
>> Samson
>>
>> James Bruck wrote:
>>> Hi Samson,
>>>
>>> Your configuration seems to be a bit off. UML2 2.1 requires EMF 2.3
> and
>>> Eclipse 3.3. Have a look at the build dependencies here ...
>>>
> http://www.eclipse.org/modeling/mdt/downloads/index.php?proj ect=uml2&showAll=0&showMax=5
>>> I think what you are looking for is ..
>>>
>>> 1. File>New>Other...>Eclipse Modeling Framework>EMF Model>Next..> then
>>> from the list of model importers select "UML model".
>>> Then select "Browse File System".
>>>
>>> The extension types supported are *.uml, *.uml2, *.xmi.
>>>
>>>
>>>
>>> Regards,
>>>
>>> - James.
>>>
>>>
>>> "Samson Tu" <swt@stanford.edu> wrote in message
>>> news:eq842p$jji$1@utils.eclipse.org...
>>>> Hi,
>>>>
>>>> Forgive me if this is a newbie question that has been answered
> elsewhere.
>>>> I am trying to import an Enterprise Architect XMI file into Eclipse
> UML2
>>>> format. I've installed
>>>>
>>>> Eclipse 3.2.1
>>>> EMF 2.2.0v200604200629
>>>> UML2 2.1.0v200701040816
>>>>
>>>> According to
>>>>
> http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html,
>>>> I should be able to create a UML model through File>New>Others...
>>>> "Example EMF Model Creation Wizards> UML Model. HOwever, I don't see
>>>> "UML Model" as a choice under "Example EMF Model Creation Wizards"
>>>>
>>>> In the File/New/Project wizard, I select EMF project, but I don't see
>>>> the UML importer, as michael.giroux@bull.com was able to do in a
>>>> separate thread (Creating EMF project from xmi file).
>>>>
>>>> I'd appreciate any help. Thanks.
>>>>
>>>> Samson Tu
>>>
>
>
Re: Import from Enterprise Architect (was Re: UML2 installation question) [message #582347 is a reply to message #470103] Tue, 06 February 2007 21:34 Go to previous message
Kenn Hussey is currently offline Kenn HusseyFriend
Messages: 1620
Registered: July 2009
Senior Member
Samson,

I took a look at your sample file, and I see several problems with it,
including the following:

1. There are a number of package import references to the UML metamodel
whose URIs do not specify a fragment, i.e. they look like
http://schema.omg.org/spec/UML/2.1/uml.xml when something like
http://schema.omg.org/spec/UML/2.1/uml.xml#_0 was expected. We can probably
address this in response to the bug report.

2. There are a number of references to metaclasses in the standard metamodel
whose URIs use the wrong case, e.g. they look like
http://schema.omg.org/spec/UML/2.1/uml.xml#association when
http://schema.omg.org/spec/UML/2.1/uml.xml#Association was expected. The
exporter you used should produce URIs in the expected format. Note that I
also noticed references to "associationEnd" and "attribute" metaclasses - no
such metaclasses exists in UML 2.x.

3. There are a number of XMI extension elements which in turn contain UML
elements with attributes that don't exist in UML - these can't be handled by
the parser unless they are also embedded in extension elements.

Kenn

"Samson Tu" <swt@stanford.edu> wrote in message
news:eqahf3$1j7$1@utils.eclipse.org...
>
> Thanks, I've added an entry to the Eclipse Buszilla (Bug 173137). A sample
> file for testing is available at http://www.stanford.edu/~swt/EASample.xmi
>
> Samson
>
>
> James Bruck wrote:
>> Hi Samson,
>>
>> Please raise a defect and that will be taken care of soon.
>>
>> Regards,
>> - James.
>>
>> "Samson Tu" <swt@stanford.edu> wrote in message
>> news:eq8dmi$91u$1@utils.eclipse.org...
>>> Many thanks for the quick response. Yes, after installing the right
>>> versions, I was able to access the UML2 plugin features.
>>>
>>> However, importing an Enterprise Architect UML XMI file resulted in a
>>> "String index out of range: -1" error. Does anyone know whether
>>> Enterprise Architect UML 2.1/XMI 2.1 export (or any other EA export
>>> versions) can be read into Eclipse UML2 plugin?
>>>
>>> Thanks.
>>>
>>> Samson
>>>
>>> James Bruck wrote:
>>>> Hi Samson,
>>>>
>>>> Your configuration seems to be a bit off. UML2 2.1 requires EMF 2.3
>> and
>>>> Eclipse 3.3. Have a look at the build dependencies here ...
>>>>
>> http://www.eclipse.org/modeling/mdt/downloads/index.php?proj ect=uml2&showAll=0&showMax=5
>>>> I think what you are looking for is ..
>>>>
>>>> 1. File>New>Other...>Eclipse Modeling Framework>EMF Model>Next..>
>>>> then
>>>> from the list of model importers select "UML model".
>>>> Then select "Browse File System".
>>>>
>>>> The extension types supported are *.uml, *.uml2, *.xmi.
>>>>
>>>>
>>>>
>>>> Regards,
>>>>
>>>> - James.
>>>>
>>>>
>>>> "Samson Tu" <swt@stanford.edu> wrote in message
>>>> news:eq842p$jji$1@utils.eclipse.org...
>>>>> Hi,
>>>>>
>>>>> Forgive me if this is a newbie question that has been answered
>> elsewhere.
>>>>> I am trying to import an Enterprise Architect XMI file into Eclipse
>> UML2
>>>>> format. I've installed
>>>>>
>>>>> Eclipse 3.2.1
>>>>> EMF 2.2.0v200604200629
>>>>> UML2 2.1.0v200701040816
>>>>>
>>>>> According to
>>>>>
>> http://www.eclipse.org/modeling/mdt/uml2/docs/articles/Getti ng_Started_with_UML2/article.html,
>>>>> I should be able to create a UML model through File>New>Others...
>>>>> "Example EMF Model Creation Wizards> UML Model. HOwever, I don't see
>>>>> "UML Model" as a choice under "Example EMF Model Creation Wizards"
>>>>>
>>>>> In the File/New/Project wizard, I select EMF project, but I don't see
>>>>> the UML importer, as michael.giroux@bull.com was able to do in a
>>>>> separate thread (Creating EMF project from xmi file).
>>>>>
>>>>> I'd appreciate any help. Thanks.
>>>>>
>>>>> Samson Tu
>>>>
>>
Previous Topic:Source Control File Merging
Next Topic:Re: [Announce] MDT UML2TOOLS 1.0.0M4 is available
Goto Forum:
  


Current Time: Sat Dec 05 09:12:19 GMT 2020

Powered by FUDForum. Page generated in 0.02848 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top